cURL
curl --request GET \
--url https://api.odin.fun/v1/user/{principal}/liquidity \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.odin.fun/v1/user/{principal}/liquidity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.odin.fun/v1/user/{principal}/liquidity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<unknown>"Users
Get user liquidity
GET
/
user
/
{principal}
/
liquidity
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Available options:
production, staging, development Filter by bonded status
Filter by featured status
Filter by etched status
Maximum price
Minimum price
Maximum volume
Minimum volume
Maximum number of holders
Minimum number of holders
Maximum comment count
Minimum comment count
Maximum sold count
Minimum sold count
Maximum market cap
Minimum market cap
Does text search for fields: id, name, description, rune, creator, telegram, website, twitter, ticker
Filter by IDs
Filter by IDs
Include tokens with these tags (comma-separated)
Exclude tokens with these tags (comma-separated)
Available options:
internal, token, currency Available options:
null, marketcap:asc, marketcap:desc, price:asc, price:desc, holder_count:asc, holder_count:desc, created_time:asc, created_time:desc, name:asc, name:desc, last_comment_time:asc, last_comment_time:desc, comment_count:asc, comment_count:desc, volume:asc, volume:desc, sold:asc, sold:desc, txn_count:asc, txn_count:desc, btc_liquidity:asc, btc_liquidity:desc, swap_fees:asc, swap_fees:desc, swap_fees_24:asc, swap_fees_24:desc, swap_volume:asc, swap_volume:desc, swap_volume_24:asc, swap_volume_24:desc, last_action_time:asc, last_action_time:desc, price_delta_5m:asc, price_delta_5m:desc, price_delta_1h:asc, price_delta_1h:desc, price_delta_6h:asc, price_delta_6h:desc, price_delta_1d:asc, price_delta_1d:desc, ascension:asc, ascension:desc, balance:asc, balance:desc, holding_value:asc, holding_value:desc, btc_first:asc, btc_first:desc Response
200 - application/json
The response is of type any.